<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

<ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1"/>
<ATTACHMENT ATTACHMENT_ID="-1" NAME="attachment_1" TYPE="xml" SIZE="4024" ADDED_ON="2020-01-02" ATTACHMENT_LIST_ID="-1" />

<CORE_PARTY PARTY_ID="-1" />
<CORE_USER PARTY_ID="-1" LOGIN="batman" CREATED_BY="admin" CREATED_ON="2019-06-01" />
<core_group />
<core_group_authority />
<core_group_member />

<INFO_LIST INFO_LIST_ID="-1" CODE="IL1" CREATED_BY="admin" CREATED_ON="2020-02-24"/>
<INFO_LIST_ITEM ITEM_ID="-1" LIST_ID="-1" ITEM_TYPE="USR" ITEM_INDEX="0" LABEL="nature" CODE="007" IS_DEFAULT="false"/>
<INFO_LIST_ITEM ITEM_ID="-2" LIST_ID="-1" ITEM_TYPE="USR" ITEM_INDEX="1" LABEL="type" CODE="008" IS_DEFAULT="false"/>

<REQUIREMENT_LIBRARY RL_ID="-1" ATTACHMENT_LIST_ID="-1"/>
<TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-1" TCL_ID="-1"/>
<PROJECT PROJECT_ID="-1" ATTACHMENT_LIST_ID="-1" CREATED_ON="2012-05-05" CREATED_BY="dbunit" NAME="Project_1" TCL_ID="-1" RL_ID="-1" TC_NATURES_LIST="-1" TC_TYPES_LIST="-1" REQ_CATEGORIES_LIST="-1"/>

<MILESTONE MILESTONE_ID="-1" LABEL="Milestone_1" STATUS="" USER_ID="-1" M_RANGE="" END_DATE="2020-02-24" CREATED_BY="admin" CREATED_ON="2020-01-01" />
<MILESTONE MILESTONE_ID="-2" LABEL="Milestone_2" STATUS="" USER_ID="-1" M_RANGE="" END_DATE="2020-02-24" CREATED_BY="admin" CREATED_ON="2020-01-01" />
<MILESTONE MILESTONE_ID="-3" LABEL="Milestone_3" STATUS="" USER_ID="-1" M_RANGE="" END_DATE="2020-02-24" CREATED_BY="admin" CREATED_ON="2020-01-01" />
<MILESTONE MILESTONE_ID="-4" LABEL="Milestone_4" STATUS="" USER_ID="-1" M_RANGE="" END_DATE="2020-02-24" CREATED_BY="admin" CREATED_ON="2020-01-01" />

<!-- FOLDER 1 -->
<TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-1" CREATED_ON="2012-03-02" CREATED_BY="dbunit" NAME="" PROJECT_ID="-1"/>
<TEST_CASE_FOLDER TCLN_ID="-1"/>
<TEST_CASE_LIBRARY_CONTENT CONTENT_ID="-1" LIBRARY_ID="-1" CONTENT_ORDER="0"/>

  <!-- FOLDER 2 in FOLDER 1 -->
  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-2" CREATED_ON="2012-03-02" CREATED_BY="dbunit" NAME="" PROJECT_ID="-1"/>
  <TEST_CASE_FOLDER TCLN_ID="-2"/>
  <TCLN_RELATIONSHIP ANCESTOR_ID="-1" DESCENDANT_ID="-2" CONTENT_ORDER="2"/>

<!-- TEST CASE 10 -->
<TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-10" CREATED_ON="2012-11-13" CREATED_BY="dbuni" NAME="test-case10" PROJECT_ID="-1" DESCRIPTION="this is a test case" LAST_MODIFIED_BY="admin" LAST_MODIFIED_ON="2020-02-24"/>
<TEST_CASE TCLN_ID="-10" PREREQUISITE="batman" EXECUTION_MODE="MANUAL" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1" REFERENCE="ref" IMPORTANCE="HIGH" IMPORTANCE_AUTO="true" AUTOMATABLE="Y" TC_STATUS="TO_BE_UPDATED" TC_NATURE="-1" TC_TYPE="-2"/>
<TCLN_RELATIONSHIP ANCESTOR_ID="-1" DESCENDANT_ID="-10" CONTENT_ORDER="0"/>

  <!-- TEST CASE 11 - SCRIPTED TEST CASE-->
  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-11" CREATED_ON="2012-11-13" CREATED_BY="dbuni" NAME="scripted-test-case11" PROJECT_ID="-1" DESCRIPTION="this is a scripted test case" LAST_MODIFIED_BY="admin" LAST_MODIFIED_ON="2020-02-25"/>
  <TEST_CASE TCLN_ID="-11" PREREQUISITE="robin" EXECUTION_MODE="AUTOMATED" UUID="45d63d7e-11dd-44b0-b584-565b6f791fa1" REFERENCE="ref" IMPORTANCE="MEDIUM" IMPORTANCE_AUTO="false" AUTOMATABLE="Y" TC_STATUS="APPROVED" TC_NATURE="-1" TC_TYPE="-2"/>
  <TCLN_RELATIONSHIP ANCESTOR_ID="-1" DESCENDANT_ID="-11" CONTENT_ORDER="1"/>

  <SCRIPTED_TEST_CASE TCLN_ID="-11" SCRIPT="This is Gherkin script."/>

  <!-- TEST CASE 12 - KEYWORD TEST CASE-->
  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-12" CREATED_ON="2012-11-13" CREATED_BY="dbuni" NAME="keyword-test-case12" PROJECT_ID="-1" DESCRIPTION="this is a keyword test case" LAST_MODIFIED_BY="admin" LAST_MODIFIED_ON="2020-02-26"/>
  <TEST_CASE TCLN_ID="-12" PREREQUISITE="joker" EXECUTION_MODE="MANUAL" UUID="46d63d7e-11dd-44b0-b584-565b6f791fa1" REFERENCE="ref" IMPORTANCE="VERY_HIGH" IMPORTANCE_AUTO="true" AUTOMATABLE="Y" TC_STATUS="WORK_IN_PROGRESS" TC_NATURE="-1" TC_TYPE="-2"/>
  <TCLN_RELATIONSHIP ANCESTOR_ID="-2" DESCENDANT_ID="-12" CONTENT_ORDER="0"/>

  <KEYWORD_TEST_CASE TCLN_ID="-12"/>

  <!-- TEST CASE 3 - UNCOUNTED TEST CASE-->
  <TEST_CASE_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" TCLN_ID="-13" CREATED_ON="2012-11-13" CREATED_BY="dbuni" NAME="root-test-case13" PROJECT_ID="-1" DESCRIPTION="this is a test case at root" LAST_MODIFIED_BY="admin" LAST_MODIFIED_ON="2020-02-26"/>
  <TEST_CASE TCLN_ID="-13" PREREQUISITE="superman" EXECUTION_MODE="UNDEFINED" UUID="47d63d7e-11dd-44b0-b584-565b6f791fa1" REFERENCE="ref" IMPORTANCE="LOW" IMPORTANCE_AUTO="false" AUTOMATABLE="Y" TC_STATUS="OBSOLETE" TC_NATURE="-1" TC_TYPE="-2"/>
  <KEYWORD_TEST_CASE TCLN_ID="-13"/>
  <TEST_CASE_LIBRARY_CONTENT CONTENT_ID="-13" LIBRARY_ID="-1" CONTENT_ORDER="1"/>

<REQUIREMENT_LIBRARY_NODE RLN_ID="-1" CREATED_BY="admin" CREATED_ON="2020-02-25" />
<REQUIREMENT RLN_ID="-1" />
<RESOURCE RES_ID="-1" NAME="requirement_1" CREATED_BY="admin" CREATED_ON="2020-02-25" ATTACHMENT_LIST_ID="-1" />
<REQUIREMENT_VERSION RES_ID="-1" VERSION_NUMBER="1" REQUIREMENT_ID="-1" CATEGORY="-1" />

<REQUIREMENT_LIBRARY_NODE RLN_ID="-2" CREATED_BY="admin" CREATED_ON="2020-02-25" />
<REQUIREMENT RLN_ID="-2" />
<RESOURCE RES_ID="-2" NAME="requirement_2" CREATED_BY="admin" CREATED_ON="2020-02-25" ATTACHMENT_LIST_ID="-1" />
<REQUIREMENT_VERSION RES_ID="-2" VERSION_NUMBER="1" REQUIREMENT_ID="-2" CATEGORY="-1" />

<REQUIREMENT_VERSION_COVERAGE VERIFIED_REQ_VERSION_ID="-1" VERIFYING_TEST_CASE_ID="-10" />
<REQUIREMENT_VERSION_COVERAGE VERIFIED_REQ_VERSION_ID="-2" VERIFYING_TEST_CASE_ID="-10" />

<MILESTONE_TEST_CASE MILESTONE_ID="-1" TEST_CASE_ID="-10"/>
<MILESTONE_TEST_CASE MILESTONE_ID="-2" TEST_CASE_ID="-10"/>
<MILESTONE_TEST_CASE MILESTONE_ID="-3" TEST_CASE_ID="-10"/>
<MILESTONE_TEST_CASE MILESTONE_ID="-4" TEST_CASE_ID="-10"/>

  <!-- ITERATION -->
<ITERATION ITERATION_ID="-1" NAME="IT1" CREATED_BY="admin" CREATED_ON="2020-02-20" ACTUAL_END_AUTO="TRUE" ACTUAL_START_AUTO="TRUE" UUID="3fb11dd8-6e5c-4020-ade9-9378ff206fbc"/>
<ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-1" CREATED_BY="admin" CREATED_ON="2020-02-20" TCLN_ID="-10"/>
<ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-2" CREATED_BY="admin" CREATED_ON="2020-02-21" TCLN_ID="-10"/>
<ITEM_TEST_PLAN_LIST ITERATION_ID="-1" ITEM_TEST_PLAN_ID="-1" ITEM_TEST_PLAN_ORDER="0"/>
<ITEM_TEST_PLAN_LIST ITERATION_ID="-1" ITEM_TEST_PLAN_ID="-2" ITEM_TEST_PLAN_ORDER="1"/>


  <!-- CALLED TEST CASE -->
<TEST_STEP TEST_STEP_ID="-1"/>
<TEST_STEP TEST_STEP_ID="-2"/>
<CALL_TEST_STEP TEST_STEP_ID="-1" CALLED_TEST_CASE_ID="-10"/>
<CALL_TEST_STEP TEST_STEP_ID="-2" CALLED_TEST_CASE_ID="-10"/>
<TEST_CASE_STEPS TEST_CASE_ID="-11" STEP_ID="-1" STEP_ORDER="0"/>
<TEST_CASE_STEPS TEST_CASE_ID="-12" STEP_ID="-2" STEP_ORDER="1"/>

<test_case_library_node />
<test_case_folder/>
<test_case/>
</dataset>
